﻿using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Reflection;
using System.Web.Mvc;
using System.Web.Script.Serialization;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {

            //ViewBag.datasource = new DataClasses1DataContext().Orders.Take(10).ToList();
            return View();
        }

        //public void ExportToExcel(string GridModel)
        //{
        //    ExcelExport exp = new ExcelExport();
        //    var DataSource = new DataClasses1DataContext().Orders.Take(10).ToList();
        //    GridProperties obj = ConvertGridObject(GridModel);
        //    obj.ServerExcelQueryCellInfo = QueryCell;
        //    exp.Export(obj, DataSource, "Export.xlsx", ExcelVersion.Excel2010, false, false, "flat-saffron");
        //}
        //public void QueryCell(object args)
        //{
        //    var x = 0;
        //}
        //public void ExportToPdf(string GridModel)
        //{
        //    PdfExport exp = new PdfExport();
        //    var DataSource = new DataClasses1DataContext().Orders.Take(10).ToList();
        //    GridProperties obj = ConvertGridObject(GridModel);
        //    exp.Export(obj, DataSource, "Export.pdf", false, false, "flat-saffron");
        //}
        private GridProperties ConvertGridObject(string gridProperty)
        {
            JavaScriptSerializer serializer = new JavaScriptSerializer();
            IEnumerable div = (IEnumerable)serializer.Deserialize(gridProperty, typeof(IEnumerable));
            GridProperties gridProp = new GridProperties();
            foreach (KeyValuePair<string, object> ds in div)
            {
                var property = gridProp.GetType().GetProperty(ds.Key, BindingFlags.Instance | BindingFlags.Public | BindingFlags.IgnoreCase);
                if (property != null)
                {
                    Type type = property.PropertyType;
                    string serialize = serializer.Serialize(ds.Value);
                    object value = serializer.Deserialize(serialize, type);
                    property.SetValue(gridProp, value, null);
                }
            }
            return gridProp;
        }
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}