﻿using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Net.Http;
using System.Reflection;
using System.Web;
using System.Web.Http;
using System.Web.Http.OData;
using System.Web.Http.OData.Query;
using System.Web.Script.Serialization;

namespace EJGrid.Models
{
    public class ValuesController : ApiController
    {
        // GET api/<controller>
        simpledbEntities db = new simpledbEntities();
        public PageResult<Employee> Get(ODataQueryOptions opts)
        {
            var results = opts.ApplyTo(db.Employees.AsQueryable());
            var data = db.Employees.AsQueryable();
            return new PageResult<Employee>((IEnumerable<Employee>)results, Request.GetNextPageLink(), data.Count());
        }
        // POST api/<controller>
        [HttpPost]
        public object Post(Employee value)
        {
            db.Employees.Add(value);
            db.SaveChanges();
            return value;
        }

        // PUT api/<controller>/5
        [HttpPut]
        public object Put(Employee value)
        {
            Employee userdata = (Employee)db.Employees.Single(u => u.EmployeeID == value.EmployeeID);
            userdata.EmployeeID = value.EmployeeID;
            userdata.FirstName = value.FirstName;
            userdata.LastName = value.LastName;
            userdata.City = value.City;
            db.SaveChanges();
            return value;
        }

        // DELETE api/<controller>/5
        public void Delete(int id)
        {
            Employee emp = (Employee)db.Employees.Single(u => u.EmployeeID == id);
            db.Employees.Remove(emp);
            db.SaveChanges();
        }

    }
}